@if (row) {
  <div
    [class.__hover_pointer]="this.isEditable()"
    class="sqtm-grid-cell-txt-renderer full-height flex-column p-r-5"
    (click)="showTemplate()"
  >
    @if (scmServers$ | async; as scmServers) {
      @if (!asyncOperationRunning) {
        <span
          class="txt-ellipsis m-auto-0"
          [sqtmCoreLabelTooltip]="
            getValue(scmServers, row.data[columnDisplay.id])
          "
          nz-tooltip
          [nzTooltipTitle]=""
          [nzTooltipPlacement]="'topLeft'"
          #infoListItemRef
          >{{ getValue(scmServers, row.data[columnDisplay.id]) }}</span
        >
      } @else {
        <span
          style="margin: auto"
          class="current-workspace-main-color table-icon-size"
        >
          <i nz-icon nzType="loading" nzTheme="outline"></i>
        </span>
      }
      <ng-template #templatePortalContent>
        <sqtm-core-list-panel
          class="scmURLOverlay"
          [selectedItem]="row.data[columnDisplay.id]"
          (itemSelectionChanged)="change($event)"
          [searchable]="true"
          [items]="listPanelItems"
        ></sqtm-core-list-panel>
      </ng-template>
    }
  </div>
}
